Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.webservice
Class TCPIPWSClientApplicationImpl

    java.lang.Object
      com.stc.connector.tcpip.model.webservice.TCPIPWSClientApplicationImpl

Direct Known Subclasses:
  HL7WSClientApplicationImpl, TCPIPEXTWSClientApplicationImpl, TCPIPWSServerApplicationImpl

    public class TCPIPWSClientApplicationImpl

extends java.lang.Object

This class implements the TCP/IP client web-services operations.

Version:
  cvs revision: $Revision: 1.5 $ Last Modified: $Date: 2008/04/23 07:15:31 $
Author:
  Harry Liu

Field Summary
`protected TCPIPClientApplicationImpl` | `application`
`protected TCPIPWSMessage` | `message`
`static java.lang.String` | `version`

Constructor Summary
`TCPIPWSClientApplicationImpl()` Default constructor.

Method Summary
`java.lang.Object` | `closeConnection(java.lang.Object container)` Method closeConnection.
`protected java.lang.Object` | `commonComein(java.lang.Object container)` Method commonReturn.
`protected java.lang.Object` | `commonFault(java.lang.Object container)` Method commonFault.
`protected java.lang.Object` | `commonReturn(java.lang.Object container)` Method commonReturn.
`java.lang.Object` | `receive(java.lang.Object container)`
`java.lang.Object` | `receiveBytes(java.lang.Object container)` Method receiveBytes.
`java.lang.Object` | `receiveString(java.lang.Object container)` Method receiveString.
`java.lang.Object` | `requestConnection(java.lang.Object container)` Method requestConnection.
`java.lang.Object` | `sendBytes(java.lang.Object container)` Method sendBytes.
`java.lang.Object` | `sendString(java.lang.Object container)` Method sendString.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

### message

    protected TCPIPWSMessage message

### application

    protected TCPIPClientApplicationImpl application

Constructor Detail

### TCPIPWSClientApplicationImpl

    public TCPIPWSClientApplicationImpl()

  Default constructor.

Method Detail

### receiveBytes

    public java.lang.Object receiveBytes(java.lang.Object container)
                                  throws TCPIPWSException

  Method receiveBytes.

  Parameters:
    `container` - the container object
  Returns:
    Object
  Throws:
    `TCPIPWSException` - on error

### receiveString

    public java.lang.Object receiveString(java.lang.Object container)
                                   throws TCPIPWSException

  Method receiveString.

  Parameters:
    `container` - the container object
  Returns:
    Object
  Throws:
    `TCPIPWSException` - on error

### receive

    public java.lang.Object receive(java.lang.Object container)
                             throws TCPIPWSException

  Parameters:
    `container` - the container object
  Returns:
    Object
  Throws:
    `TCPIPWSException`

### sendBytes

    public java.lang.Object sendBytes(java.lang.Object container)
                               throws TCPIPWSException

  Method sendBytes.

  Parameters:
    `container` - the container object
  Returns:
    Object
  Throws:
    `TCPIPWSException` - on error

### sendString

    public java.lang.Object sendString(java.lang.Object container)
                                throws TCPIPWSException

  Method sendString.

  Parameters:
    `container` - the container objecct
  Returns:
    Object
  Throws:
    `TCPIPWSException` - on error

### requestConnection

    public java.lang.Object requestConnection(java.lang.Object container)
                                       throws TCPIPWSException

  Method requestConnection.

  Parameters:
    `container` - the container object
  Returns:
    Object
  Throws:
    `TCPIPWSException` - on error

### closeConnection

    public java.lang.Object closeConnection(java.lang.Object container)
                                     throws TCPIPWSException

  Method closeConnection.

  Parameters:
    `container` - the container object
  Returns:
    Object
  Throws:
    `TCPIPWSException` - on error

### commonComein

    protected java.lang.Object commonComein(java.lang.Object container)
                                     throws TCPIPWSException

  Method commonReturn.

  Parameters:
    `container` - the container object
  Returns:
    Object
  Throws:
    `TCPIPWSException`

### commonReturn

    protected java.lang.Object commonReturn(java.lang.Object container)
                                     throws TCPIPWSException

  Method commonReturn.

  Parameters:
    `container` - the container object
  Returns:
    Object
  Throws:
    `TCPIPWSException` - on error

### commonFault

    protected java.lang.Object commonFault(java.lang.Object container)

  Method commonFault.

  Parameters:
    `container` - the container object
  Returns:
    Object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD